Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class GenerateEclipseClasspath

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.eclipse.GenerateEclipseClasspath

    class GenerateEclipseClasspath
    extends XmlGeneratorTask

Generates an Eclipse `.classpath` file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via EclipseClasspath.

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`EclipseClasspath` | `classpath`

Constructor Summary
`GenerateEclipseClasspath()`

Method Summary
`protected void` | `configure(Classpath xmlClasspath)`
`void` | `containers(String... containers)` Deprecated.
`protected Classpath` | `create()`
`Set` | `getContainers()` Deprecated.
`File` | `getDefaultOutputDir()` Deprecated.
`boolean` | `getDownloadJavadoc()` Deprecated.
`boolean` | `getDownloadSources()` Deprecated.
`Collection` | `getMinusConfigurations()` Deprecated.
`Collection` | `getPlusConfigurations()` Deprecated.
`Iterable` | `getSourceSets()` Deprecated.
`Map` | `getVariables()` Deprecated.
`void` | `setContainers(Set containers)`
`void` | `setDefaultOutputDir(File defaultOutputDir)`
`void` | `setDownloadJavadoc(boolean downloadJavadoc)`
`void` | `setDownloadSources(boolean downloadSources)`
`void` | `setMinusConfigurations(Collection minusConfigurations)`
`void` | `setPlusConfigurations(Collection plusConfigurations)`
`void` | `setSourceSets(Iterable sourceSets)` Deprecated.
`void` | `setVariables(Map variables)`
`void` | `variables(Map variables)` Deprecated.

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### classpath

    EclipseClasspath classpath

Constructor Detail

### GenerateEclipseClasspath

    GenerateEclipseClasspath()

Method Detail

### configure

    @Override
    protected void configure(Classpath xmlClasspath)

### containers

    void containers(String... containers)

  Deprecated. Please use #eclipse.classpath.containers. See examples in EclipseClasspath.

  Adds containers to the .classpath.

  Parameters:
    `containers` - the container names to be added to the .classpath.

### create

    @Override
    protected Classpath create()

### getContainers

    Set getContainers()

  Deprecated. Please use #eclipse.classpath.containers. See examples in EclipseClasspath.

  Containers to be added to the classpath

### getDefaultOutputDir

    File getDefaultOutputDir()

  Deprecated. Please use #eclipse.classpath.defaultOutputDir. See examples in EclipseClasspath.

  The default output directory for eclipse generated files, eg classes.

### getDownloadJavadoc

    boolean getDownloadJavadoc()

  Deprecated. Please use #eclipse.classpath.downloadJavadoc. See examples in EclipseClasspath.

  Whether to download and add javadocs associated with the dependency jars. Defaults to false.

### getDownloadSources

    boolean getDownloadSources()

  Deprecated. Please use #eclipse.classpath.downloadSources. See examples in EclipseClasspath.

  Whether to download and add sources associated with the dependency jars. Defaults to true.

### getMinusConfigurations

    Collection getMinusConfigurations()

  Deprecated. Please use #eclipse.classpath.minusConfigurations. See examples in EclipseClasspath.

  The configurations which files are to be excluded from the classpath entries.

### getPlusConfigurations

    Collection getPlusConfigurations()

  Deprecated. Please use #eclipse.classpath.plusConfigurations. See examples in EclipseClasspath.

  The configurations which files are to be transformed into classpath entries.

### getSourceSets

    Iterable getSourceSets()

  Deprecated. Please use #eclipse.classpath.sourceSets. See examples in EclipseClasspath.

  The source sets to be added to the classpath.

### getVariables

    Map getVariables()

  Deprecated. Please use #eclipse.pathVariables. See examples in EclipseClasspath.

  Adds path variables to be used for replacing absolute paths in classpath entries.

  Parameters:
    `pathVariables` - A map with String->File pairs.

### setContainers

    void setContainers(Set containers)

### setDefaultOutputDir

    void setDefaultOutputDir(File defaultOutputDir)

### setDownloadJavadoc

    void setDownloadJavadoc(boolean downloadJavadoc)

### setDownloadSources

    void setDownloadSources(boolean downloadSources)

### setMinusConfigurations

    void setMinusConfigurations(Collection minusConfigurations)

### setPlusConfigurations

    void setPlusConfigurations(Collection plusConfigurations)

### setSourceSets

    void setSourceSets(Iterable sourceSets)

  Deprecated. Please use #eclipse.classpath.sourceSets. See examples in EclipseClasspath.

  The source sets to be added to the classpath.

### setVariables

    void setVariables(Map variables)

### variables

    void variables(Map variables)

  Deprecated. Please use #eclipse.pathVariables. See examples in EclipseClasspath.

  Adds variables to be used for replacing absolute paths in classpath entries.

  Parameters:
    `variables` - A map where the keys are the variable names and the values are the variable values.

Gradle API 1.10